const { readFileSync, writeFileSync } = require("fs");
const { join } = require("path");
const package = require("../package.json");
const Path = '../../@vue/cli-service/lib/commands/serve.js';
let serve = (readFileSync(join(__dirname, Path))).toString();
serve = serve.replace('Starting development server...',"正在启动开发服务器...");
serve = serve.replace('App running at:',`🎉 欢迎使用 ${package.name}\n  🎉 该插件基于本人另一个项目[vue-cli-plugin-autorouter]适配自己的VueClassApi + Tsx 的脚手架而来 \n\n  📦 项目地址：https://www.npmjs.com/package/vue-cli-plugin-autorouter\n  👨‍💻 作者：bmy\n  📞 Github：https://github.com/helpcode\n 应用运行在:`);
serve = serve.replace('- Local:'," - 本地:");
serve = serve.replace('- Network:'," - 网络:");
serve = serve.replace('Note that the development build is not optimized.',"注意开发阶段项目没有做优化。");
serve = serve.replace('To create a production build, run',"如果要创建生产代码，请运行命令: ");
writeFileSync(join(__dirname, Path),serve);